Categories
How To

letsencrypt – The requested apache plugin does not appear to be installed

Errors Seen

  • The requested apache plugin does not appear to be installed
  • The requested nginx plugin does not appear to be installed
  • Certbot doesn’t know how to automatically configure the web server on this system. However, it can still get a certificate for you. Please run certbot certonly to do so. You’ll need to manually configure your web server to use the resulting certificate.

Solution

Install python3-certbot-apache or python3-certbot-nginx, depending on your error message and webserver

sudo apt install python3-certbot-apache

or

sudo apt install python3-certbot-nginx

The package name can be different depending on distro, the above is correct for Ubuntu and Debian.

Leave a Reply

Your email address will not be published. Required fields are marked *